PIPSocket::RouteTableDetector Class Referenceabstract

Class for detector of Route Table changes. More...

`#include <ipsock.h>`

## Public Member Functions

virtual | ~RouteTableDetector ()
virtual bool | Wait (const PTimeInterval &timeout)=0
virtual void | Cancel ()=0

## Detailed Description

Class for detector of Route Table changes.

## Constructor & Destructor Documentation

virtual PIPSocket::RouteTableDetector::~RouteTableDetector | ( |  | ) |

inline virtual

## Member Function Documentation

virtual void PIPSocket::RouteTableDetector::Cancel | ( |  | ) |

pure virtual

virtual bool PIPSocket::RouteTableDetector::Wait | ( | const PTimeInterval & | timeout | ) |

pure virtual

Parameters

  timeout | Time to wait for refresh (may be ignored)

The documentation for this class was generated from the following file:

- ipsock.h